/**
 * Adds confirm dialog before function call
 * @since 4.0.2
 */
export function Confirmable(message) {
    return function (target, propertyKey, descriptor) {
        const original = descriptor.value;
        descriptor.value = function (...args) {
            const allow = confirm(message);
            if (allow) {
                return original.apply(this, args);
            }
            else {
                return null;
            }
        };
        return descriptor;
    };
}
//# sourceMappingURL=confirmable.js.map